org.eclnt.jsfserver.elements.util

## Class FIXGRIDBeanItem<T>

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.elements.util.FIXGRIDBeanItem<T>

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDItem, IDynamicIntrospectionSupported

      public class FIXGRIDBeanItem<T>
      extends FIXGRIDItem
      implements IDynamicIntrospectionSupported

  FIXGRIDItem that holds one bean. The bean is passed in the constructor and is available by calling getBean().
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclnt.util.dynaccess.IDynamicIntrospectionSupported

      `IDynamicIntrospectionSupported.DynamicIntrospectionInfo, IDynamicIntrospectionSupported.DynamicMethodInfo, IDynamicIntrospectionSupported.DynamicPropertyInfo`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FIXGRIDBeanItem(T bean)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getBean()`
    `static IDynamicIntrospectionSupported.DynamicIntrospectionInfo` | `introspectDynamically(java.util.List references, java.util.List<java.lang.String> pathList)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowExecute, onRowPopupMenuItem, onRowPopupMenuLoad, onRowSelect, requestFocus, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FIXGRIDBeanItem

          public FIXGRIDBeanItem(T bean)

  - ### Method Detail

    - #### introspectDynamically

          public static IDynamicIntrospectionSupported.DynamicIntrospectionInfo introspectDynamically(java.util.List references,
                                                                                                      java.util.List<java.lang.String> pathList)

    - #### getBean

          public T getBean()

Copyright © CaptainCasa Gmbh. All Rights Reserved.